#include "centretablewidget.h"
#include "form/centreform.h"
#include "form/fullcentreform.h"
CentreTableWidget::CentreTableWidget(QWidget * parent)
    :AbstractTableWidget(parent)
{

    QSqlQueryModel * model = new QSqlQueryModel;
    model->setQuery("SELECT c.id , c.numero, p.nom, e.nom, n.nom, c.nb_patient_prevu, c.date_ouverture, c.date_reelle_fermeture"
                    " FROM centres c, protocoles p, etablissements e, networks n WHERE"
                    " c.protocole_id = p.id AND"
                    " c.etablissement_id = e.id AND"
                    " c.network_id = n.id ");
    setModel(model);


}
void CentreTableWidget::addRecord()
{
    FullCentreForm * form =new FullCentreForm;
    FormDialog * dialog = new FormDialog(form);
    dialog->exec();
    refresh();
}

void CentreTableWidget::editRecord()
{
    FullCentreForm * form =new FullCentreForm;
    FormDialog * dialog = new FormDialog(form);
    SqlHelper sql("centres",this);
    form->load(sql.record(firstRecordSelected().value("id").toInt()));
    dialog->exec();
    refresh();
}
void CentreTableWidget::deleteRecord()
{

    SqlHelper sql("annuaires",this);
    foreach ( QSqlRecord record, recordsSelected())
        sql.deleteRecord(record.value("id").toInt());
    refresh();

}
